Loading...
Searching...
No Matches
USerializedSet Struct Reference

A serialized form of a Unicode set. More...

`#include <uset.h>`

## Data Fields

const uint16_t * | array
| The serialized Unicode Set.
int32_t | bmpLength
| The length of the array that contains BMP characters.
int32_t | length
| The total length of the array.
uint16_t | staticArray [USET_SERIALIZED_STATIC_ARRAY_CAPACITY]
| A small buffer for the array to reduce memory allocations.

## Detailed Description

A serialized form of a Unicode set.

Limited manipulations are possible directly on a serialized set. See below.

Stable
  ICU 2.4

Definition at line 259 of file uset.h.

## Field Documentation

## array

const uint16_t* USerializedSet::array

The serialized Unicode Set.

Stable
  ICU 2.4

Definition at line 264 of file uset.h.

## bmpLength

int32_t USerializedSet::bmpLength

The length of the array that contains BMP characters.

Stable
  ICU 2.4

Definition at line 269 of file uset.h.

## length

int32_t USerializedSet::length

The total length of the array.

Stable
  ICU 2.4

Definition at line 274 of file uset.h.

## staticArray

uint16_t USerializedSet::staticArray[USET_SERIALIZED_STATIC_ARRAY_CAPACITY]

A small buffer for the array to reduce memory allocations.

Stable
  ICU 2.4

Definition at line 279 of file uset.h.

The documentation for this struct was generated from the following file:

- common/unicode/uset.h